/**
 * @class kPlayerInventory
 * @brief Managing a players inventory of collected keys or anything else.
 */
class kPlayerInventory
{
public:

	/**
	 * @brief Returns the amount of these items that are in the inventory
	 */
	const int GetCount(const int itemID);
	
	/**
	 * @brief Returns true when you have at least one of this item in the inventory
	 */
	const bool HasBeenPickedUpBefore(const int itemID);
	
	/**
	 * @brief Subtracts 1 of this item from the inventory
	 */
	const int Take(const int itemID);
	
	/**
	 * @brief Adds 1 of this item to the inventory
	 */
	const bool Give(const int itemID);
	
	/**
	 * @brief Clears all inventory items
	 */
	void Reset();
};
